## sciplot 0.8-1

=== DESCRIPTION ===
Package: sciplot
Version: 0.8-1
Title: Scientific Graphing Functions for Factorial Designs
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the R-help
        listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <mmorales@williams.edu>
Depends: stats
Description: A collection of functions that create graphs with error bars
             for data collected from one-way or higher factorial designs.
License: GPL version 2.
URL: http://mutualism.williams.edu/sciplot
Packaged: Mon Nov  6 15:25:59 2006; mmorales

## sciplot 0.8-2

=== DESCRIPTION ===
Package: sciplot
Version: 0.8-2
Title: Scientific Graphing Functions for Factorial Designs
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the R-help
        listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <mmorales@williams.edu>
Depends: stats
Description: A collection of functions that create graphs with error bars
             for data collected from one-way or higher factorial designs.
License: GPL version 2.
Packaged: Wed Nov 29 11:25:17 2006; mmorales

## sciplot 1.0-1

=== DESCRIPTION ===
Package: sciplot
Version: 1.0-1
Title: Scientific Graphing Functions for Factorial Designs and XPPAUT
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the R-help
        listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <mmorales@williams.edu>
Depends: stats
Description: A collection of functions that creates graphs with error
             bars for data collected from one-way or higher factorial
             designs.
License: GPL version 2 or newer.
Packaged: Sat Feb 16 08:18:53 2008; mmorales

## sciplot 1.0-2

=== DESCRIPTION ===
Package: sciplot
Version: 1.0-2
Title: Scientific Graphing Functions for Factorial Designs
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the R-help
        listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <mmorales@williams.edu>
Depends: stats
Description: A collection of functions that creates graphs with error
             bars for data collected from one-way or higher factorial
             designs.
License: GPL (>= 2).
Packaged: Fri May  2 20:07:28 2008; mmorales

## sciplot 1.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sciplot
-Version: 1.0-2
+Version: 1.0-3
 Title: Scientific Graphing Functions for Factorial Designs
 Author: Manuel Morales <mmorales@williams.edu>, with code developed by
         the R Development Core Team and with general advice from the R-help
@@ -10,4 +10,4 @@
              bars for data collected from one-way or higher factorial
              designs.
 License: GPL (>= 2).
-Packaged: Fri May  2 20:07:28 2008; mmorales
+Packaged: Fri Aug 15 15:36:11 2008; mmorales

## sciplot 1.0-4

=== DESCRIPTION ===
Package: sciplot
Version: 1.0-4
Title: Scientific Graphing Functions for Factorial Designs
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the R-help
        listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <mmorales@williams.edu>
Depends: stats
Description: A collection of functions that creates graphs with error
             bars for data collected from one-way or higher factorial
             designs.
License: GPL (>= 2)
Packaged: Mon Feb 16 20:44:39 2009; mmorales

## sciplot 1.0-5

=== DESCRIPTION ===
Package: sciplot
Version: 1.0-5
Title: Scientific Graphing Functions for Factorial Designs
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the
        R-help listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <mmorales@williams.edu>
Depends: stats
Description: A collection of functions that creates graphs with error
        bars for data collected from one-way or higher factorial
        designs.
License: GPL (>= 2)
Packaged: Mon Apr 13 15:29:33 2009; mmorales
Repository: CRAN
Date/Publication: 2009-04-15 07:35:05

## sciplot 1.0-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sciplot
-Version: 1.0-5
+Version: 1.0-6
 Title: Scientific Graphing Functions for Factorial Designs
 Author: Manuel Morales <mmorales@williams.edu>, with code developed by
         the R Development Core Team and with general advice from the
@@ -10,6 +10,6 @@
         bars for data collected from one-way or higher factorial
         designs.
 License: GPL (>= 2)
-Packaged: Mon Apr 13 15:29:33 2009; mmorales
+Packaged: 2009-08-09 12:39:07 UTC; mmorales
 Repository: CRAN
-Date/Publication: 2009-04-15 07:35:05
+Date/Publication: 2009-08-09 13:43:19

## sciplot 1.0-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sciplot
-Version: 1.0-6
+Version: 1.0-7
 Title: Scientific Graphing Functions for Factorial Designs
 Author: Manuel Morales <mmorales@williams.edu>, with code developed by
         the R Development Core Team and with general advice from the
@@ -10,6 +10,6 @@
         bars for data collected from one-way or higher factorial
         designs.
 License: GPL (>= 2)
-Packaged: 2009-08-09 12:39:07 UTC; mmorales
+Packaged: 2010-03-22 14:25:06 UTC; mmorales
 Repository: CRAN
-Date/Publication: 2009-08-09 13:43:19
+Date/Publication: 2010-03-22 15:21:35

## sciplot 1.0-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sciplot
-Version: 1.0-7
+Version: 1.0-8
 Title: Scientific Graphing Functions for Factorial Designs
 Author: Manuel Morales <mmorales@williams.edu>, with code developed by
         the R Development Core Team and with general advice from the
@@ -10,6 +10,6 @@
         bars for data collected from one-way or higher factorial
         designs.
 License: GPL (>= 2)
-Packaged: 2010-03-22 14:25:06 UTC; mmorales
+Packaged: 2011-07-25 13:21:22 UTC; mmorales
 Repository: CRAN
-Date/Publication: 2010-03-22 15:21:35
+Date/Publication: 2011-07-25 20:06:44

## sciplot 1.0-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sciplot
-Version: 1.0-8
+Version: 1.0-9
 Title: Scientific Graphing Functions for Factorial Designs
 Author: Manuel Morales <mmorales@williams.edu>, with code developed by
         the R Development Core Team and with general advice from the
@@ -10,6 +10,6 @@
         bars for data collected from one-way or higher factorial
         designs.
 License: GPL (>= 2)
-Packaged: 2011-07-25 13:21:22 UTC; mmorales
+Packaged: 2012-10-29 08:59:39 UTC; ripley
 Repository: CRAN
-Date/Publication: 2011-07-25 20:06:44
+Date/Publication: 2012-10-29 08:59:39

## sciplot 1.1-0

=== DESCRIPTION ===
Package: sciplot
Version: 1.1-0
Title: Scientific Graphing Functions for Factorial Designs
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the
        R-help listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <Manuel.A.Morales@williams.edu>
Depends: stats
Description: A collection of functions that creates graphs with error
        bars for data collected from one-way or higher factorial
        designs.
License: GPL (>= 2)
Packaged: 2012-11-20 16:29:50 UTC; mmorales
Repository: CRAN
Date/Publication: 2012-11-20 16:59:12

## sciplot 1.1-1

=== DESCRIPTION ===
Package: sciplot
Version: 1.1-1
Title: Scientific Graphing Functions for Factorial Designs
Author: Manuel Morales <mmorales@williams.edu>, with code developed by
        the R Development Core Team and with general advice from the R-help
        listserv community, especially Duncan Murdoch.
Maintainer: Manuel Morales <Manuel.A.Morales@williams.edu>
Depends: stats
Description: A collection of functions that creates graphs with error
             bars for data collected from one-way or higher factorial
             designs.
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2017-06-19 21:49:09 UTC; mmorales
Repository: CRAN
Date/Publication: 2017-06-19 23:20:32 UTC

## sciplot 1.2-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sciplot
-Version: 1.1-1
+Version: 1.2-0
 Title: Scientific Graphing Functions for Factorial Designs
 Author: Manuel Morales <mmorales@williams.edu>, with code developed by
         the R Development Core Team and with general advice from the R-help
@@ -11,6 +11,6 @@
              designs.
 License: GPL (>= 2)
 NeedsCompilation: no
-Packaged: 2017-06-19 21:49:09 UTC; mmorales
+Packaged: 2020-02-27 22:48:35 UTC; mmorales
 Repository: CRAN
-Date/Publication: 2017-06-19 23:20:32 UTC
+Date/Publication: 2020-02-28 15:10:03 UTC

## sciplot 1.36

=== debian/changelog ===
sciplot (1.36-18) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Barak A. Pearlmutter ]
  * Major packaging update
    - Use autotools build patch, ignoring imake (closes: #862771)
    - Adjust to autotools installation locations.
    - Remove unused perl script build dependency.
    - Bump policy.
    - Bump debhelper version.
    - Enable multiarch.
    - Rename lib package with "lib" prefix
    - Put executables in "-bin" package, renamed with "sciplot-" prefix.
    - Remove source examples; put data.txt in bin package.
  * ppc64 imake patch, see bugs.debian.org/862771 (now unused)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 03 Feb 2019 13:28:35 +0000

sciplot (1.36-17) unstable; urgency=medium

  * update so version string extraction snippet (closes: #830363)
  * dh 10
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 May 2017 15:00:44 +0100

sciplot (1.36-16) unstable; urgency=low

  * bump standards version (debian/control)
  * dh --parallel (debian/rules)
  * dh 9 (debian/compat, debian/control)
  * build using motif instead of lesstif (closes: #714742)
  * move upstream mods into quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Jul 2013 16:47:45 +0100

sciplot (1.36-15) unstable; urgency=low

  * switch from cvs to git
  * miscellaneous build modernisations and updates
  * mostly silence lintian
  * dpkg-source format 3.0 (quilt)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Apr 2010 22:16:47 +0100

sciplot (1.36-14) unstable; urgency=low

  * patch from Petr.Salinger@seznam.cz for GNU/kFreeBSD (closes: #536886)
  * rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Jul 2009 17:33:44 +0200

sciplot (1.36-13) unstable; urgency=low

  * fix some lintian issues: up to date dependencies, rev deb std, etc

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Aug 2008 12:18:06 +0100

sciplot (1.36-12) unstable; urgency=low

  * Glark!  Fix typo in debian/changelog (closes: 462517)
  * Inverse bit rot!  Mysterious bug fixed self, dunno when (closes: 111930)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun,  3 Feb 2008 20:56:47 +0000

sciplot (1.36-11) unstable; urgency=low

  * absorb NMU, depend upon lesstif2-dev (closes: 374248)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 17 Jul 2006 21:27:40 +0100

sciplot (1.36-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374248)

 -- Kai Hendry <hendry@iki.fi>  Fri, 30 Jun 2006 10:39:43 +0900

sciplot (1.36-10) unstable; urgency=low

  * additional build dependency (closes: #249555)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 May 2004 00:44:11 -0600

sciplot (1.36-9) unstable; urgency=low

  * New Maintainer adopts cold body from morgue (closes: #174123)
  * Capitalize "Cartesian" in descriptions (closes: #125339, #125340)
  * Section lib/libdevel

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 Aug 2003 22:00:06 -0600

sciplot (1.36-8) unstable; urgency=low

  * New Maintainer (Closes: #84745)

 -- Brian Russo <wolfie@debian.org>  Mon, 12 Feb 2001 00:19:38 -1000

sciplot (1.36-7) unstable; urgency=low

  * Corrected the section of sciplot-dev from math to devel in
    debian/control.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  4 Feb 2001 01:54:40 +0100

sciplot (1.36-6) unstable; urgency=low

  * New maintainer. (closes: #68200)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri,  2 Feb 2001 13:57:14 +0100

sciplot (1.36-5) unstable; urgency=low

  * Added Conflicts: sciplot to binary packages sciplot1 and sciplot-dev.

 -- Peter Palfrader <weasel@debian.org>  Thu, 28 Dec 2000 01:15:52 +0100

sciplot (1.36-4.1) unstable; urgency=low

  * Rebuilt package to remove wrong dependency on xlib6.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 21 Dec 2000 21:40:45 +0100

sciplot (1.36-4) unstable; urgency=low

  * Maintainer set to Debian QA Group.
  * The QA Group acknowledges the previous two NMUs (Closes: #48174,
    #49490).  Thanks!
  * Added Build-Depends line.
  * Use gcc instead of egcc (Closes: #62908).
  * Updated Standards-Version.
  * Removed README.debian since it didn't contain any valuable
    information.
  * Updated README.examples.
  * Improved debian/copyright.
  * Removed the emacs config directives from debian/changelog.
  * Made the package a proper library (i.e. created a -dev package).
  * Compiled the new package on the Alpha architecture, and it seems
    to build without any problems (Closes: #55273).
  * Fixed some GCC warnings.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 20 Dec 2000 01:12:01 +0100

sciplot (1.36-3.2) unstable; urgency=low

  * NMU
  * Fixes compile problesm; closes: #49490
  * Now uses debhelper
  * Lintian error free

 -- Randolph Chung <tausq@debian.org>  Sat, 15 Jan 2000 10:20:15 -0700

sciplot (1.36-3.1) unstable; urgency=low

  * NMU for bugs
  * Closes: #48174
  * needed to be recompiled against new lesstif
  * implemented switch to /usr/share/doc

 -- Sean E. Perry <shaleh@debian.org>  Thu, 28 Oct 1999 22:10:43 -0700

sciplot (1.36-3) unstable; urgency=low

  * Use -fPIC for shared library

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon,  3 Aug 1998 17:12:09 -0700

sciplot (1.36-2) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 31 Jul 1998 11:47:31 -0700

sciplot (1.36-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 10 Jul 1998 16:05:22 -0700

=== debian/control ===
Source: sciplot
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 12),
	libmotif-dev, libxmu-dev, xutils-dev
Standards-Version: 4.3.0
Section: science
Vcs-Git: https://salsa.debian.org/debian/sciplot.git
Vcs-Browser: https://salsa.debian.org/debian/sciplot

Package: libsciplot1
Section: libs
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: sciplot, sciplot1
Conflicts: sciplot, sciplot1
Description: widget for scientific plotting
 The SciPlot Widget is a widget capable of plotting Cartesian or polar
 graphs, including logarithmic axes in Cartesian plots.  The widget is
 subclassed directly from the Core widget class, which means that it does
 not depend upon any other widget set.  It may be freely used with Athena,
 Motif, or the Open Look/Xview widget sets.  (There is optional Motif
 support that causes the widget to be subclassed from XmPrimitive.  See
 the man page.)
 .
 Features provided in the widget include automatic scaling, legend drawing,
 axis labeling, PostScript output, multiple plotted lines, color support,
 user font specification, dashed lines, symbols drawn at points, logarithmic
 scales on one or both axes in Cartesian plots, and degrees or radians as
 angles in polar plots.

Package: libsciplot-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libsciplot1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: sciplot-dev
Conflicts: sciplot, sciplot-dev
Description: Development library and header files for SciPlot
 Contains C header files and development shared libraries for SciPlot.
 The SciPlot Widget is a widget capable of plotting Cartesian or polar
 graphs, including logarithmic axes in Cartesian plots.

Package: sciplot-bin
Section: graphics
Architecture: any
Depends: libsciplot1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Example programs for SciPlot
 This package contains two small programs that use the SciPlot
 library: sciplot-xyplot and sciplot-realtime.
 The SciPlot Widget is a widget capable of plotting Cartesian or polar
 graphs, including logarithmic axes in Cartesian plots.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	@echo Renaming executables to have sciplot- prefix.
	-cd debian/tmp/usr/bin \
	 && for f in *; do mv "$$f" "sciplot-$$f"; done \
	 || echo Ignoring rename error
